package betterquesting.api2.client.gui;

import betterquesting.api2.client.gui.controls.io.ValueFuncIO;
import betterquesting.api2.client.gui.misc.GuiAlign;
import betterquesting.api2.client.gui.misc.GuiPadding;
import betterquesting.api2.client.gui.misc.GuiTransform;
import betterquesting.api2.client.gui.panels.CanvasTextured;
import betterquesting.api2.client.gui.panels.bars.PanelHBarFill;
import betterquesting.api2.client.gui.panels.bars.PanelVBarFill;
import betterquesting.api2.client.gui.resources.colors.GuiColorStatic;
import betterquesting.api2.client.gui.resources.colors.GuiColorTransition;
import betterquesting.api2.client.gui.themes.presets.PresetTexture;
import net.minecraft.client.gui.GuiScreen;

/* loaded from: betterquesting_api2_client_gui.jar:betterquesting/api2/client/gui/GuiScreenTest.class */
public class GuiScreenTest extends GuiScreenCanvas {
    public GuiScreenTest(GuiScreen parent) {
        super(parent);
    }

    @Override // betterquesting.api2.client.gui.GuiScreenCanvas
    public void initPanel() {
        super.initPanel();
        CanvasTextured cvt1 = new CanvasTextured(new GuiTransform(), PresetTexture.PANEL_MAIN.getTexture());
        addPanel(cvt1);
        PanelHBarFill phf = new PanelHBarFill(new GuiTransform(GuiAlign.TOP_EDGE, new GuiPadding(72, 16, 72, -32), 0));
        phf.setFillColor(new GuiColorTransition(new GuiColorStatic(-65536), new GuiColorStatic(-16711936)).setupBlending(true, 0.25f));
        cvt1.addPanel(phf);
        PanelVBarFill pvf = new PanelVBarFill(new GuiTransform(GuiAlign.LEFT_EDGE, new GuiPadding(16, 72, -72, 72), 0));
        pvf.setFillColor(new GuiColorTransition(new GuiColorStatic(-65536), new GuiColorStatic(-16711936)).setupBlending(true, 0.25f));
        cvt1.addPanel(pvf);
        ValueFuncIO valueFuncIO = new ValueFuncIO(() -> {
            return Float.valueOf(((int) Math.abs((System.currentTimeMillis() % 5000) - 2500)) / 2500.0f);
        });
        GuiColorTransition transColor = new GuiColorTransition(new GuiColorStatic(-16711936), new GuiColorStatic(-65536)).setupBlending(true, 0.25f);
        transColor.setBlendDriver(valueFuncIO);
        phf.setFillColor(transColor);
        pvf.setFillColor(transColor);
        phf.setFillDriver(valueFuncIO);
        pvf.setFillDriver(valueFuncIO);
    }

    @Override // betterquesting.api2.client.gui.GuiScreenCanvas
    public void drawPanel(int mx, int my, float partialTick) {
        func_146276_q_();
        super.drawPanel(mx, my, partialTick);
    }
}
